Skip to content

Cluster

All operations require authentication.

8 operationsv1/dedicated/ceph
Agent setup

List clustersProduction

GET
/1.0/dedicated/ceph

Returns the service names of the clusters, which are also their Ceph fsid.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get service informationProduction

GET
/1.0/dedicated/ceph/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The internal ID of your ceph cluster

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Get a clusterProduction

GET
/1.0/dedicated/ceph/{serviceName}

Returns the configuration and the current state of the cluster. The status is INSTALLED once all requested tasks are done.

Path parameters

serviceName
required
string

Service name

Response

200responseWithIAMsuccessful operation
cephMons
read-only
string[]

List of CEPH monitor IPs

cephVersion
read-only
string

Used version of ceph

createDate
read-only
string

Creation date

crushTunables
read-only
crushTunablesEnum

Tunables of cluster

ValuesARGONAUTBOBTAILDEFAULTFIREFLYHAMMERJEWELLEGACYOPTIMAL
iam
read-only
ResourceMetadata

IAM resource metadata

label
read-only
string

Name of cluster

region
read-only
string

Name of region where cluster is located

serviceName
read-only
string

ID of cluster

size
read-only
integer

Size of cluster in TB

state
read-only
stateEnum

State of cluster

ValuesACTIVESUSPENDED
status
read-only
statusEnum

Status of cluster

ValuesCREATINGDELETEDDELETINGINSTALLEDTASK_IN_PROGRESS
updateDate
read-only
string

Last update date

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cephMons": [ "string" ], "cephVersion": "string", "createDate": "string", "crushTunables": "ARGONAUT", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "label": "string", "region": "string", "serviceName": "string", "size": 0, "state": "ACTIVE", "status": "CREATING", "updateDate": "string"}

Change service contactsProduction

POST
/1.0/dedicated/ceph/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

The internal ID of your ceph cluster

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm service terminationProduction

POST
/1.0/dedicated/ceph/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The internal ID of your ceph cluster

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Request service terminationProduction

POST
/1.0/dedicated/ceph/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The internal ID of your ceph cluster

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update service informationProduction

PUT
/1.0/dedicated/ceph/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The internal ID of your ceph cluster

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Update a clusterProduction

PUT
/1.0/dedicated/ceph/{serviceName}

Updates the label and the CRUSH tunables of the cluster.

Path parameters

serviceName
required
string

Service name

Request body (required)

crushTunables
required
crushTunablesEnum

Tunables of cluster

ValuesARGONAUTBOBTAILDEFAULTFIREFLYHAMMERJEWELLEGACYOPTIMAL
label
required
string

Name of the cluster

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"